Bug 800852 - Insufficient memory issue should be shown in UI
Insufficient memory issue should be shown in UI
Status: MODIFIED
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Angus Thomas
Rehana
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 07:07 EST by Rehana
Modified: 2018-01-29 21:11 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
DeltaCloud Log (5.44 KB, application/octet-stream)
2012-03-07 07:07 EST, Rehana
no flags Details

  None (edit)
Description Rehana 2012-03-07 07:07:35 EST
Created attachment 568269 [details]
DeltaCloud Log

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Build and Pushed an image to rhevm from aeolus
2.Tried to lauch instance using it
3.Instance went to "stopped'" state from "Pending"
4.Observed error log in delta cloud
5.No error message on conductor 
  
Actual results:
Got an exception in deltacloud log /var/log/deltacloud/mock.log

Expected results:
Should display appropriate error msg " Insufficient memory to lauch the instance" on conductor

Additional info:

root@intel-d3c69-01 ~]# rpm -qa | grep deltacloud
deltacloud-core-vsphere-0.5.0-5.el6.noarch
deltacloud-core-rhevm-0.5.0-5.el6.noarch
deltacloud-core-0.5.0-5.el6.noarch
deltacloud-core-ec2-0.5.0-5.el6.noarch
rubygem-deltacloud-client-0.5.0-2.el6.noarch

[root@intel-d3c69-01 ~]# rpm -qa | grep aeolus
aeolus-conductor-doc-0.8.0-41.el6.noarch
aeolus-configure-2.5.0-18.el6.noarch
aeolus-conductor-daemons-0.8.0-41.el6.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
rubygem-aeolus-cli-0.3.0-13.el6.noarch
aeolus-all-0.8.0-41.el6.noarch
aeolus-conductor-0.8.0-41.el6.noarch


---Note---

A JIRA ticket as been raised for the issue
https://issues.apache.org/jira/browse/DTACLOUD-154
Comment 1 Michal Fojtik 2012-03-07 09:10:05 EST
This issue should be fixed and reported properly in latest Deltacloud (git).
Comment 2 Dave Johnson 2012-03-07 11:43:37 EST
Hugh, Mike,

Wes was questioning if any more deltacloud changes, like this one would make it into this release?  QE is pretty sure no more deltacloud changes will be pulled in thus pushing this out post 1.0.
Comment 3 Steve Linabery 2012-08-24 15:51:57 EDT
This fix does not appear to be in deltacloud-core-0.5.0-10.el6_2, so we'll need a new build of deltacloud with the patch applied if we want to clear this with 1.1.0.
Comment 4 Mike Orazi 2012-08-24 15:54:11 EDT
This rpm won't be revved until 2.0.  Moving to 2.0.0? for consideration at that time.

Note You need to log in before you can comment on or make changes to this bug.